.nh
.TH spelldump 1 "February 2021" manticoresearch-tools
.SH NAME
.PP
spelldump - extract contents of a dictionary file that uses \fB\fCispell\fR or \fB\fCMySpell\fR format, which can help build word lists for \fIwordforms\fP - all of the possible forms are pre-built for you.

.SH SYNOPSIS
.PP
.RS

.nf
spelldump [options] <dictionary> <affix> [result] [locale-name]

.fi
.RE

.SH DESCRIPTION
.PP
The two main parameters are the dictionary's main file and its affix file; usually these are named as \fB\fC[language-prefix].dict\fR and \fB\fC[language-prefix].aff\fR and will be available with most common Linux distributions, as well as various places online.

.PP
\fB\fC[result]\fR specifies where the dictionary data should be output to, and \fB\fC[locale-name]\fR additionally specifies the locale details you wish to use.

.PP
There is an additional option, \fB\fC-c [file]\fR, which specifies a file for case conversion details.

.PP
Examples of its usage are:

.PP
.RS

.nf
spelldump en.dict en.aff
spelldump ru.dict ru.aff ru.txt ru_RU.CP1251
spelldump ru.dict ru.aff ru.txt .1251

.fi
.RE

.PP
The results file will contain a list of all the words in the dictionary in alphabetical order, output in the format of a wordforms file, which you can use to customize for your specific circumstances. An example of the result file:

.PP
.RS

.nf
zone > zone
zoned > zoned
zoning > zoning

.fi
.RE
